Subject: bug#18139: 24.4.50; called-interactively-p and skip advice:

From: [email-masked]
Date: Sat, 25 Mar 2017 11:55:54 -0400

tags 18139 unreproducible
quit

raman <[email-masked]> writes:

> This should hopefully produce the  backtrace --  
>
> I'll give two recipes below  -- the first is impossible  for me to try 
>
> 1. emacs -q
> 2. load-library ruby-mode
> 3. evaluate this form:
>
> (defadvice backward-sexp (around test pre act comp)
> (when (called-interactively-p 'interactive)
>       (message "advice!"))
> ad-do-it)
> 3. Open a ruby file test.rb
> 4. type 
> puts "foo"
> 5. Invoke electric-newline-and-indent -- to trigger the bug.

I assume this should be `electric-newline-and-maybe-indent' (C-j).

Nothing happens when I do this (except that a newline is inserted).

> Recipe 2:
>
> Do the same as above with emacspeak loaded -- and without bothering with
> the  additional piece of advice.

Nothing happens when I do this (except that a newline is inserted).
Probably because now emacspeak has a workaround by setting a
`ems-called-interactively-p' flag.  Do you know which version of
emacspeak triggers the bug?